X2Go Bug report logs - #1019
PATH not correctly set while executing xmodmap

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: sebastian.fey@tu-dortmund.de

Date: Tue, 5 Apr 2016 12:25:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.5.1

Fixed in version 4.0.5.2

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1019; Package x2go os x client. (Tue, 05 Apr 2016 12:25:02 GMT) (full text, mbox, link).


Acknowledgement sent to sebastian.fey@tu-dortmund.de:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Tue, 05 Apr 2016 12:25:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Sebastian Fey <sebastian.fey@tu-dortmund.de>
To: submit@bugs.x2go.org
Subject: xcodemap is missing on OS X 10.11
Date: Tue, 5 Apr 2016 13:45:16 +0200
[Message part 1 (text/plain, inline)]
Package: x2go OS X client
Version: 4.0.5.1

After starting the x2go client, opening a connection and logging in, the 
client reports a missing "xmodmap" binary. The error message is attached 
at the bottom.

The xmodmap binary on my system is located in "/opt/X11/bin/xmodmap". 
The directory path was added to the $PATH variable, but unfortunately 
the client doesn't seem to read the $PATH variable. Due to the new "SIP" 
feature in the new OS X one is not allowed to write to the folders in 
which the client is looking for the binary (even with root privileges).

I'm running OS X 10.11.4 and XQuartz 2.7.8 (xorg-server 1.16.4).

Error message:

"xmodmap failed to start.

This likely means the binary is not available. The current search path 
is: /usr/bin:/bin:/usr/sbin:/sbin X2Go Client will now terminate. File a 
bug report as outlined on the bugs wiki page 
<http://wiki.x2go.org/doku.php/wiki:bugs>."

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1019; Package x2go os x client. (Tue, 05 Apr 2016 17:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mattia Cantono <mattia.cantono@polito.it>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 05 Apr 2016 17:50:02 GMT) (full text, mbox, link).


Message #10 received at 1019@bugs.x2go.org (full text, mbox, reply):

From: Mattia Cantono <mattia.cantono@polito.it>
To: 1019@bugs.x2go.org
Subject: Confirmed xmodmap issue
Date: Tue, 5 Apr 2016 19:18:54 +0200
[Message part 1 (text/plain, inline)]
I can confirm this bug on my el Capitan 10.11.4 installation with XQuartz
2.78.

The issue seems to be related to the fixing of bug 487

http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=487

In particular, in the latest version of the function onmainwindow.ccp,
lines 5622-5624 are not working, since the path, that is the one that is
displayed in the error message of the previous message, is not modified.
Thus, the path does not include folders such as /opt/X11/bin/ and xmodmap
cannot be found.

Best,

Mattia Cantono
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1019; Package x2go os x client. (Wed, 06 Apr 2016 03:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 06 Apr 2016 03:50:02 GMT) (full text, mbox, link).


Message #15 received at 1019@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: sebastian.fey@tu-dortmund.de, 1019@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1019: xcodemap is missing on OS X 10.11
Date: Wed, 6 Apr 2016 05:44:56 +0200
[Message part 1 (text/plain, inline)]
On 05.04.2016 01:45 PM, Sebastian Fey wrote:
> Package: x2go OS X client
> Version: 4.0.5.1
> 
> After starting the x2go client, opening a connection and logging in, the client
> reports a missing "xmodmap" binary. The error message is attached at the bottom.
> 
> The xmodmap binary on my system is located in "/opt/X11/bin/xmodmap". The
> directory path was added to the $PATH variable, but unfortunately the client
> doesn't seem to read the $PATH variable. Due to the new "SIP" feature in the new
> OS X one is not allowed to write to the folders in which the client is looking
> for the binary (even with root privileges).
> 
> I'm running OS X 10.11.4 and XQuartz 2.7.8 (xorg-server 1.16.4).

That error was caused by me. SIP has nothing to do with it, we don't write to
arbitrary system directories. :)

I'll write up a fix and probably re-release the binaries, because this is a
pretty huge deal-breaker on OS X.

My apologies to all who ran into this issue.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'x2go os x client' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 06 Apr 2016 04:05:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 06 Apr 2016 04:05:02 GMT) (full text, mbox, link).


Marked as found in versions 4.0.5.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 06 Apr 2016 04:05:02 GMT) (full text, mbox, link).


Changed Bug title to 'PATH not correctly set while executing xmodmap' from 'xcodemap is missing on OS X 10.11' Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 06 Apr 2016 04:05:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1019; Package x2goclient. (Wed, 06 Apr 2016 05:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 06 Apr 2016 05:00:02 GMT) (full text, mbox, link).


Message #28 received at 1019@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1019-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1019@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 6 Apr 2016 06:58:07 +0200 (CEST)
tag #1019 pending
fixed #1019 4.0.5.2
thanks

Hello,

X2Go issue #1019 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=3772ad2

The issue will most likely be fixed in src:x2goclient (4.0.5.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 3772ad2ff7b6553f71790da0527a9e1d5e399ddb
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Wed Apr 6 06:55:33 2016 +0200

    src/onmainwindow.cpp: add (default) MacPorts prefix, /usr/local/bin and /opt/X11/bin to x2goclient's environment and child environments before starting xmodmap. Fixes: #1019.
    
    Requires a re-release of X2Go Client for OS X.

diff --git a/debian/changelog b/debian/changelog
index 2030cd5..c058a99 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,10 @@ x2goclient (4.0.5.2-0x2go1) UNRELEASED; urgency=medium
       This particular style has been removed/replaced by Fusion, which
       incorporates features of both Plastique and Clearlooks styles.
     - x2goclient.spec: whitespace only.
+    - src/onmainwindow.cpp: add (default) MacPorts prefix, /usr/local/bin and
+      /opt/X11/bin to x2goclient's environment and child environments before
+      starting xmodmap. Fixes: #1019. Requires a re-release of X2Go Client for
+      OS X.
 
   [ Mike DePaulo ]
   * New upstream release (4.0.5.2):


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 06 Apr 2016 05:00:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.5.2. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 06 Apr 2016 05:00:03 GMT) (full text, mbox, link).


Message sent on to sebastian.fey@tu-dortmund.de:
Bug#1019. (Wed, 06 Apr 2016 05:00:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1019; Package x2goclient. (Wed, 06 Apr 2016 05:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 06 Apr 2016 05:05:02 GMT) (full text, mbox, link).


Message #40 received at 1019@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1019@bugs.x2go.org
Subject: Re: [X2Go-Dev] X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Wed, 6 Apr 2016 07:03:58 +0200
[Message part 1 (text/plain, inline)]
On 06.04.2016 06:58 AM, Mihai Moldovan wrote:
> tag #1019 pending
> fixed #1019 4.0.5.2

Even though this bug will be marked as fixed in 4.0.5.2, I'll take the hotfix I
just pushed, rebase it onto 4.0.5.1 and rebuild the OS X binaries and also
re-publish them later today/tomorrow.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1019; Package x2goclient. (Wed, 06 Apr 2016 15:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 06 Apr 2016 15:20:01 GMT) (full text, mbox, link).


Message #45 received at 1019@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1019-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1019@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 6 Apr 2016 17:15:29 +0200 (CEST)
close #1019
thanks

Hello,

we are very hopeful that X2Go issue #1019 reported by you
has been resolved in the new release (4.0.5.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=911e9b243c21357e49bc477b5323805ff43ef56a;hp=c80b04add271dcdac482c2526708a21b0ec4932c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.1-0x2go2
Status: RELEASE
Date: Wed, 06 Apr 2016 17:10:10 +0100
Fixes: 1019
Changes: 
 x2goclient (4.0.5.1-0x2go2) RELEASED; urgency=medium
 .
   [ Mihai Moldovan ]
   * Hotfix release for OS X (4.0.5.1):
     - src/onmainwindow.cpp: add (default) MacPorts prefix, /usr/local/bin and
       /opt/X11/bin to x2goclient's environment and child environments before
       starting xmodmap. Fixes: #1019. Requires a re-release of X2Go Client for
       OS X.


Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Wed, 06 Apr 2016 15:20:02 GMT) (full text, mbox, link).


Notification sent to sebastian.fey@tu-dortmund.de:
Bug acknowledged by developer. (Wed, 06 Apr 2016 15:20:02 GMT) (full text, mbox, link).


Message sent on to sebastian.fey@tu-dortmund.de:
Bug#1019. (Wed, 06 Apr 2016 15:20:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 05 May 2016 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Aug 23 09:14:02 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.